<div class="row">
  <div class="col-md-3"></div>
  <div class="col-md-6">
    <form>
      <fieldset>
        <legend>Create Acount</legend>
        <div *ngIf="error" class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="firstName">First Name</label>
              <input
                type="text"
                class="form-control"
                id="firstName"
                name="firstName"
                #firstName
              />
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="lastName">Last Name</label>
              <input
                type="text"
                class="form-control"
                id="lastName"
                name="lastName"
                #lastName
              />
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="exampleInputEmail1" for="email">Email address</label>
          <input
            type="email"
            class="form-control"
            id="email"
            name="email"
            placeholder="Enter email"
            #email
          />
          <small id="emailHelp" class="form-text text-muted"
            >We'll never share your email with anyone else.</small
          >
        </div>

        <div class="form-group">
          <label for="phone">Phone</label>
          <input
            type="text"
            class="form-control"
            id="phone"
            name="phone"
            #phone
          />
        </div>
        <div class="form-group">
          <label for="password">Password</label>
          <input
            type="password"
            class="form-control"
            id="password"
            placeholder="Password"
            name="password"
            #password
          />
        </div>

        <button
          type="submit"
          class="btn btn-primary"
          (click)="
            createAccount(
              email.value,
              password.value,
              firstName.value,
              lastName.value,
              phone.value
            )
          "
        >
          Create Account
        </button>
      </fieldset>
    </form>
    <br />
    <a [routerLink]="['/login']">
      Login
    </a>
  </div>
  <div class="col-md-3"></div>
</div>
